Alerts (Raw)

This will return all alerts that were active, for any of the account devices. The user has the ability to specify a time interval with query parameters.

This endpoint supports ordering and pagination.

Path Params
string
required
string
required
Query Params
string
Defaults to -7d

The start of the time interval

string
Defaults to now

The end of the time interval.

string
Defaults to mc.device.not_connected

The type of the alerts returned. You can specify all types by using a wildcard search.

string

The severity level of the alerts you want returned. For example: fatal, error, or warn.

string

the level of the alerts you want to be returned. By default, no filtering is applied. ex: Connection Status

devices
array of strings

a list of device IDs in JSON format for which the alerts to be returned. By default, no filtering is applied. ex: ["device_id1","device_id2"]

devices
string

a list of alert attribute names on which to search each corresponding word from search_words

search_words
array of strings

a list of same length as search_keys list, containing a word to be searched for each of keys mentioned

search_words
string

describes what data to extract part of alert.data from the data pushed on topics by the device at the alert creation time. Note that alert.data will be missing if settings is not specified. It should be a dictionary having as keys the names of the fields to be added in the response, and as values, dictionaries that describe where to get the data from (topic and path in the topic data dict), here is an example: { "gpslatitude": { "topic": "/gps", "path": ["data", "latitude"] }, "gpslongitude": { "topic": "/gps", "path": ["data", "longitude"] }, "operatingstate": { "topic": "/operatingstate", "path": ["data"] }, "odomx": { "topic": "/odom", "path": ["data", "pose", "position", "x"] }, "odomy": { "topic": "/odom", "path": ["data", "pose", "position", "y"] } }

order_keys
array of strings

A list of keys (attribute names) to sort the results on. For example: ["created", "name"]

order_keys
order_directions
array of strings

A list of directions. There has to be exactly one for each of the keys specified in order_keys asc/desc are the only values accepted. For example: ["desc", "asc"]

order_directions
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json